/* @todo move in better place */
	textarea{
		resize: vertical;
	}
	[onclick] {
		cursor: pointer;
	}
	input[type="date-range"] {
		background-color: transparent;
		border: none;
		border-bottom: 1px solid #9e9e9e;
		border-radius: 0;
		outline: none;
		height: 3rem;
		width: 100%;
		font-size: 1rem;
		margin: 0 0 20px 0;
		padding: 0;
		box-shadow: none;
		box-sizing: content-box;
		transition: all 0.3s;
	}

/* Buttons */

.kapi-button {
	-webkit-tap-highlight-color: transparent;
	-webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

.kapi-button i {
	font-size: 1.3rem;
	line-height: inherit;
}

/* Common */
	.kapi-button {
		position: relative;
		display: inline-block;
		border: none;
		border-radius: 2px;
		padding: 0 8px;
		margin: 0 8px;
		min-width: 88px;
		height: 36px;
		line-height: 36px;
		font-family: "Roboto", "Helvetica", "Arial", sans-serif;
		font-size: 14px;
		font-weight: 500;
		text-align: center;
		text-decoration: none;
		text-transform: uppercase;
		vertical-align: middle;
		letter-spacing: 0;
		overflow: hidden;
		cursor: pointer;
		outline: none;
		color: rgb(0,0,0);
		color: rgba(0, 0, 0, 0.87);
		background: transparent;
		will-change: box-shadow;
		transition: box-shadow 0.2s cubic-bezier(0.4, 0, 1, 1), background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1), color 0.2s cubic-bezier(0.4, 0, 0.2, 1); }
		.kapi-button::-moz-focus-inner {
			border: 0; }
		.kapi-button:hover {
			background-color: rgba(158,158,158, 0.20); }
		.kapi-button:focus:not(:active) {
			background-color: rgba(0,0,0, 0.12); }
		.kapi-button:active {
			background-color: rgba(158,158,158, 0.40); }
		.kapi-button.kapi-button--colored {
			color: rgb(63,81,181); }
			.kapi-button.kapi-button--colored:focus:not(:active) {
				background-color: rgba(0,0,0, 0.12); }

/* Flat */
@media all {

}

input.kapi-button[type="submit"] {
	-webkit-appearance: none; }

/* Raised */
	.kapi-button--raised {
		margin: 0;
		padding: 0 16px;
		background: rgba(158,158,158, 0.20);
		box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12); }
		@media only screen and (min-width: 993px){
			.kapi-button--raised {
				box-shadow: none; }
				.kapi-button--raised:hover {
					box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12); } }
		.kapi-button--raised:active {
			box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.2);
			background-color: rgba(158,158,158, 0.40); }
		.kapi-button--raised:focus:not(:active) {
			box-shadow: 0 0 8px rgba(0, 0, 0, 0.18), 0 8px 16px rgba(0, 0, 0, 0.36);
			background-color: rgba(158,158,158, 0.40); }
		.kapi-button--raised.kapi-button--colored {
			background: rgb(63,81,181);
			color: rgb(255,255,255); }
			.kapi-button--raised.kapi-button--colored:hover {
				background-color: rgb(63,81,181); }
			.kapi-button--raised.kapi-button--colored:active {
				background-color: rgb(63,81,181); }
			.kapi-button--raised.kapi-button--colored:focus:not(:active) {
				background-color: rgb(63,81,181); }
				.kapi-button--raised.kapi-button--colored .kapi-ripple {
					background: rgb(255,255,255); }
		.kapi-button--raised.kapi-button--dense-raised {
			height: 32px;
			line-height: 32px;
			font-size: 13px; }

/* Fab */
	.kapi-button--fab {
		border-radius: 50%;
		font-size: 24px;
		height: 56px;
		margin: auto;
		min-width: 56px;
		width: 56px;
		padding: 0;
		/*overflow: hidden;*/
		background: rgba(158,158,158, 0.20);
		box-shadow: 0 1px 1.5px 0 rgba(0, 0, 0, 0.12), 0 1px 1px 0 rgba(0, 0, 0, 0.24);
		/*position: relative;*/
		line-height: normal; }
		.kapi-button--fab .material-icons {
			position: absolute;
			top: 50%;
			left: 50%;
			-webkit-transform: translate(-12px, -12px);
			transform: translate(-12px, -12px);
			line-height: 24px;
			width: 24px; }
		.kapi-button--fab.kapi-button--mini-fab {
			height: 40px;
			min-width: 40px;
			width: 40px; }
		.kapi-button--fab .kapi-button__ripple-container {
			border-radius: 50%;
			-webkit-mask-image: -webkit-radial-gradient(circle, white, black); }
		.kapi-button--fab:active {
			box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.2);
			background-color: rgba(158,158,158, 0.40); }
		.kapi-button--fab:focus:not(:active) {
			box-shadow: 0 0 8px rgba(0, 0, 0, 0.18), 0 8px 16px rgba(0, 0, 0, 0.36);
			background-color: rgba(158,158,158, 0.40); }
		.kapi-button--fab.kapi-button--colored {
			background: rgb(255,171,64);
			color: rgb(66,66,66);
			color: rgba(0,0,0,0.87); }
			.kapi-button--fab.kapi-button--colored:hover {
				background-color: rgb(255,171,64); }
			.kapi-button--fab.kapi-button--colored:focus:not(:active) {
				background-color: rgb(255,171,64); }
			.kapi-button--fab.kapi-button--colored:active {
				background-color: rgb(255,171,64); }
			.kapi-button--fab.kapi-button--colored .kapi-ripple {
				background: rgb(66,66,66);
				background: rgba(0,0,0,0.87); }

/* Icon */
	.kapi-button--icon {
		border-radius: 50%;
		font-size: 24px;
		height: 32px;
		margin-left: 0;
		margin-right: 0;
		min-width: 32px;
		width: 32px;
		padding: 0;
		overflow: hidden;
		color: inherit;
		line-height: normal; }
		.kapi-button--icon .material-icons {
			position: absolute;
			top: 50%;
			left: 50%;
			-webkit-transform: translate(-12px, -12px);
			transform: translate(-12px, -12px);
			line-height: 24px;
			width: 24px; }
		.kapi-button--icon.kapi-button--mini-icon {
			height: 24px;
			min-width: 24px;
			width: 24px; }
			.kapi-button--icon.kapi-button--mini-icon .material-icons {
				top: 0px;
				left: 0px; }
		.kapi-button--icon .kapi-button__ripple-container {
			border-radius: 50%;
			-webkit-mask-image: -webkit-radial-gradient(circle, white, black); }

/* Ripple effect */
	.kapi-button__ripple-container {
		display: block;
		height: 100%;
		left: 0px;
		position: absolute;
		top: 0px;
		width: 100%;
		z-index: 0;
		overflow: hidden; }
		.kapi-button[disabled] .kapi-button__ripple-container .kapi-ripple,
		.kapi-button.kapi-button--disabled .kapi-button__ripple-container .kapi-ripple {
			background-color: transparent; }

/* Color */
	.kapi-button--primary.kapi-button--primary {
		color: rgb(63,81,181); }
		.kapi-button--primary.kapi-button--primary .kapi-ripple {
			background: rgb(255,255,255); }
		.kapi-button--primary.kapi-button--primary.kapi-button--raised, .kapi-button--primary.kapi-button--primary.kapi-button--fab {
			color: rgb(255,255,255);
			background-color: rgb(63,81,181); }

	.kapi-button--accent.kapi-button--accent {
		color: rgb(255,171,64); }
		.kapi-button--accent.kapi-button--accent .kapi-ripple {
			background: rgb(66,66,66);
			background: rgba(0,0,0,0.87); }
		.kapi-button--accent.kapi-button--accent.kapi-button--raised, .kapi-button--accent.kapi-button--accent.kapi-button--fab {
			color: rgb(66,66,66);
			color: rgba(0,0,0,0.87);
			background-color: rgb(255,171,64); }

/* Disabled */
	.kapi-button[disabled][disabled], .kapi-button.kapi-button--disabled.kapi-button--disabled {
		color: rgba(0,0,0, 0.26);
		cursor: default;
		background-color: transparent; }

	.kapi-button--fab[disabled][disabled], .kapi-button--fab.kapi-button--disabled.kapi-button--disabled {
		background-color: rgba(0,0,0, 0.12);
		color: rgba(0,0,0, 0.26); }

	.kapi-button--raised[disabled][disabled], .kapi-button--raised.kapi-button--disabled.kapi-button--disabled {
		background-color: rgba(0,0,0, 0.12);
		color: rgba(0,0,0, 0.26);
		box-shadow: none; }

	.kapi-button--colored[disabled][disabled], .kapi-button--colored.kapi-button--disabled.kapi-button--disabled {
		color: rgba(0,0,0, 0.26); }

.kapi-button .material-icons {
	vertical-align: middle; }


/* mdl-button */
@media all {
	.mdl-button .mdl-badge[data-badge]:after {
		top: -10px;
		right: -5px;
	}

	.mdl-textfield {
		position: relative;
		font-size: 16px;
		display: inline-block;
		box-sizing: border-box;
		width: 300px;
		max-width: 100%;
		margin: 0;
		padding: 20px 0;
	}

	.mdl-textfield .mdl-button {
		position: absolute;
		bottom: 20px;
	}

	.mdl-textfield--align-right {
		text-align: right;
	}

	.mdl-textfield--full-width {
		width: 100%;
	}

	.mdl-textfield--expandable {
		min-width: 32px;
		width: auto;
		min-height: 32px;
	}

	.mdl-textfield--expandable .mdl-button--icon {
		top: 16px;
	}

	a, .mdl-accordion, .mdl-button, .mdl-card, .mdl-checkbox, .mdl-dropdown-menu,
	.mdl-icon-toggle, .mdl-item, .mdl-radio, .mdl-slider, .mdl-switch, .mdl-tabs__tab {
		-webkit-tap-highlight-color: transparent;
		-webkit-tap-highlight-color: rgba(255, 255, 255, 0);
	}

}


/* Panel */
.panel {
	position: relative;
	margin: .5rem 0 1rem 0;
	background-color: #fff;
	transition: box-shadow .25s;
	border-radius: 2px;
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2); }
	.panel-heading {
		padding: 10px 15px;
		box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2); }
		.panel-heading * {
			color: inherit; }
		.panel-title {
			margin-top: 0;
			margin-bottom: 0;
			font-size: 16px;
			color: inherit; }
	.panel-body {
		padding: 24px;
		border-radius: 0 0 2px 2px; }



/* Dialog */
.kapi-dialog {
	position: fixed;
	top: 50vh;
	left: 0;
	right: 0;
	display: none;
	border: none;
	/*border-radius: 2px;*/
	padding: 4px 0 8px;
	margin: auto;
	width: -moz-fit-content;
	width: -webkit-fit-content;
	width: fit-content;
	min-width: 280px;
	max-width: calc(100vw - 80px);
	height: -moz-fit-content;
	height: -webkit-fit-content;
	height: fit-content;
	max-height: calc(100vh - 48px);
	color: rgba(0, 0, 0, 1);
	background: #fff;
	/*will-change: top, opacity;*/
	box-shadow: 0 9px 46px 8px rgba(0, 0, 0, 0.14), 0 11px 15px -7px rgba(0, 0, 0, 0.12), 0 24px 38px 3px rgba(0, 0, 0, 0.2);
	transform: translateY(-50%);
	overflow-y: auto; }
	@media only screen and (min-width: 993px) {
		.kapi-dialog {
			width: 40vw;
			max-height: 70vh; } }
	.kapi-dialog__title {
		padding: 20px 24px 0;
		margin: 0;
		font-size: 20px; }
	.kapi-dialog__actions {
		padding: 8px 8px 0 24px;
		margin-top: 24px;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-webkit-flex-direction: row-reverse;
		-ms-flex-direction: row-reverse;
		flex-direction: row-reverse;
		-webkit-flex-wrap: wrap;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap; }
		.kapi-dialog__actions > * {
			margin-right: 8px;
			height: 36px; }
			.kapi-dialog__actions > *:first-child {
				margin-right: 0; }
		.kapi-dialog__actions .kapi-button {
			min-width: 64px;
			max-width: calc((100% - 8px - 8px - 8px)/2);
			overflow-x: hidden;
			word-wrap: break-word; }
		.kapi-dialog__actions--full-width {
			padding: 0; }
			.kapi-dialog__actions--full-width > * {
				height: 48px;
				-webkit-flex: 0 0 100%;
				-ms-flex: 0 0 100%;
				flex: 0 0 100%;
				padding-right: 16px;
				margin-right: 0;
				text-align: right; }
			.kapi-dialog__actions--full-width .kapi-button {
				max-width: none;
				line-height: 48px; }
	.kapi-dialog__content {
		padding: 20px 24px 0;
		color: rgba(0,0,0, 0.54); }
.kapi-dialog-overlay {
	position: fixed;
	z-index: 999;
	top: -100px;
	left: 0;
	bottom: 0;
	right: 0;
	height: 125%;
	width: 100%;
	background: #000;
	display: none;
	opacity: 0.5 }

/* @todo IE 9 Hack */
@media screen and (min-width:0\0) and (min-resolution:.001dpcm) {
	.kapi-dialog__actions {
		direction: rtl;
	}
}



/* Snackbar */
.kapi-snackbar {
	position: fixed;
	z-index: 3;
	bottom: 0;
	left: 0;
	display: block;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	padding: 0 24px;
	width: 100%;
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
	background-color: #323232;
	cursor: default;
	pointer-events: none;
	-webkit-justify-content: space-between;
			-ms-flex-pack: justify;
					justify-content: space-between;
	will-change: transform;
	-webkit-transform: translate(0, 80px);
					transform: translate(0, 80px);
	transition: -webkit-transform 0.25s cubic-bezier(0.4, 0, 1, 1);
	transition: transform 0.25s cubic-bezier(0.4, 0, 1, 1);
	transition: transform 0.25s cubic-bezier(0.4, 0, 1, 1), -webkit-transform 0.25s cubic-bezier(0.4, 0, 1, 1); }
	@media (min-width: 601px) {
		.kapi-snackbar {
			left: 50%;
			border-radius: 2px;
			width: auto;
			min-width: 288px;
			max-width: 568px;
			-webkit-transform: translate(-50%, 80px);
							transform: translate(-50%, 80px); } }
	.kapi-snackbar--active {
		pointer-events: auto;
		-webkit-transform: translate(0, 0);
						transform: translate(0, 0);
		transition: -webkit-transform 0.25s cubic-bezier(0, 0, 0.2, 1);
		transition: transform 0.25s cubic-bezier(0, 0, 0.2, 1);
		transition: transform 0.25s cubic-bezier(0, 0, 0.2, 1), -webkit-transform 0.25s cubic-bezier(0, 0, 0.2, 1); }
		@media (min-width: 601px) {
			.kapi-snackbar--active {
				-webkit-transform: translate(-50%, 0);
								transform: translate(-50%, 0); } }
	.kapi-snackbar__text {
		padding: 14px 0;
		line-height: 20px;
		vertical-align: middle;
		color: white;
		-ms-flex: 0 1 auto;
				flex: 0 1 auto; }
	.kapi-snackbar__action {
		border: none;
		padding: 14px 0 14px 24px;
		line-height: 13px;
		font-family: "Roboto", "Helvetica", "Arial", sans-serif;
		font-size: 14px;
		font-weight: 500;
		text-align: right;
		text-decoration: none;
		text-transform: uppercase;
		letter-spacing: 0;
		overflow: hidden;
		outline: none;
		color: rgb(255,171,64);
		background: transparent;
		opacity: 0;
		cursor: pointer;
		pointer-events: none;
		-ms-flex: 1 0 auto;
				flex: 1 0 auto;
		-webkit-align-self: center;
			-ms-flex-item-align: center;
		-ms-grid-row-align: center;
						align-self: center; }
		.kapi-snackbar__action::-moz-focus-inner {
			border: 0; }
		.kapi-snackbar__action:not([aria-hidden]) {
			opacity: 1;
			pointer-events: auto; }

.kapi-snackbar--multi-line {
	height: 80px; }
	.kapi-snackbar--multi-line .kapi-snackbar__text {
		padding: 24px 0;
		height: 80px;
		line-height: 16px;
		overflow: hidden; }
.kapi-snackbar--multi-line-action {
	height: 112px;
	-ms-flex-direction: column;
			flex-direction: column; }
	.kapi-snackbar--multi-line-action .kapi-snackbar__action {
		padding: 0;
		padding-bottom: 14px;
		width: 100%; }


/* old version delete this */

.table-hover > tbody > tr:hover {
    background-color: #ffffdd;
}
.kapi-form {
    max-width: 700px;
    margin: 0 auto;
    padding-bottom: 50px;
}
.kapi-form .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
}
.kapi-form input.form-control[type=color]{
    height: 42px;
}

